[@rxap/authorization](../wiki/globals) / MatInputHasEnablePermissionDirective

# Class: MatInputHasEnablePermissionDirective

Defined in: [mat-input-has-enable-permission.directive.ts:21](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/mat-input-has-enable-permission.directive.ts#L21)

## Extends

- [`HasEnablePermission`](../wiki/Class.HasEnablePermission)

## Constructors

### new MatInputHasEnablePermissionDirective()

> **new MatInputHasEnablePermissionDirective**(`authorization`, `cdr`, `matInput`, `scope`, `valueAccessor`): [`MatInputHasEnablePermissionDirective`](../wiki/Class.MatInputHasEnablePermissionDirective)

Defined in: [mat-input-has-enable-permission.directive.ts:27](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/mat-input-has-enable-permission.directive.ts#L27)

#### Parameters

##### authorization

[`AuthorizationService`](../wiki/Class.AuthorizationService)

##### cdr

`ChangeDetectorRef`

##### matInput

`MatInput`

##### scope

`string`

##### valueAccessor

`null` | `ControlValueAccessor`[]

#### Returns

[`MatInputHasEnablePermissionDirective`](../wiki/Class.MatInputHasEnablePermissionDirective)

#### Overrides

[`HasEnablePermission`](../wiki/Class.HasEnablePermission).[`constructor`](../wiki/Class.HasEnablePermission#constructors)

## Properties

### cdr

> `protected` `readonly` **cdr**: `ChangeDetectorRef`

Defined in: [has-enable-permission.ts:28](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/has-enable-permission.ts#L28)

#### Inherited from

[`HasEnablePermission`](../wiki/Class.HasEnablePermission).[`cdr`](../wiki/Class.HasEnablePermission#cdr-1)

***

### identifier

> **identifier**: `string`

Defined in: [mat-input-has-enable-permission.directive.ts:25](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/mat-input-has-enable-permission.directive.ts#L25)

#### Overrides

[`HasEnablePermission`](../wiki/Class.HasEnablePermission).[`identifier`](../wiki/Class.HasEnablePermission#identifier)

## Methods

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [has-enable-permission.ts:60](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/has-enable-permission.ts#L60)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Inherited from

[`HasEnablePermission`](../wiki/Class.HasEnablePermission).[`ngOnDestroy`](../wiki/Class.HasEnablePermission#ngondestroy)

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [has-enable-permission.ts:39](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/has-enable-permission.ts#L39)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Inherited from

[`HasEnablePermission`](../wiki/Class.HasEnablePermission).[`ngOnInit`](../wiki/Class.HasEnablePermission#ngoninit)

***

### setDisabled()

> **setDisabled**(`disabled`): `void`

Defined in: [mat-input-has-enable-permission.directive.ts:44](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/authorization/src/lib/mat-input-has-enable-permission.directive.ts#L44)

#### Parameters

##### disabled

`boolean`

#### Returns

`void`

#### Overrides

[`HasEnablePermission`](../wiki/Class.HasEnablePermission).[`setDisabled`](../wiki/Class.HasEnablePermission#setdisabled)
